compiz 0.9.8.6 fails to build from source in KDE4-window-decorator with latest KDE 4.10 beta

Bug #1082152 reported by Mjules on 2012-11-22
12
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Compiz
Medium
Iven Hsu
0.9.8
Medium
Iven Hsu
compiz (Ubuntu)
Medium
Iven Hsu
Quantal
Undecided
Unassigned

Bug Description

[Test Case]

Build fix, just check if compiz builds KDE4-window-decorator with KDE 4.10.

[Regression Potential]

No regression potential.

Original description:

Hi,

compiz 0.9.8.6 fails to build with this message :
home/iurt/rpmbuild/BUILD/compiz-0.9.8.6/kde/window-decorator-kde4/decorator.cpp: In member function 'bool KWD::Decorator::enableDecorations(Time)':
/home/iurt/rpmbuild/BUILD/compiz-0.9.8.6/kde/window-decorator-kde4/decorator.cpp:220:55: error: cannot allocate an object of abstract type 'KWD::Window'
In file included from /home/iurt/rpmbuild/BUILD/compiz-0.9.8.6/kde/window-decorator-kde4/decorator.h:41:0,
                 from /home/iurt/rpmbuild/BUILD/compiz-0.9.8.6/kde/window-decorator-kde4/decorator.cpp:41:
/home/iurt/rpmbuild/BUILD/compiz-0.9.8.6/kde/window-decorator-kde4/window.h:54:7: note: because the following virtual functions are pure within 'KWD::Window':
In file included from /home/iurt/rpmbuild/BUILD/compiz-0.9.8.6/kde/window-decorator-kde4/window.h:27:0,
                 from /home/iurt/rpmbuild/BUILD/compiz-0.9.8.6/kde/window-decorator-kde4/decorator.h:41,
                 from /home/iurt/rpmbuild/BUILD/compiz-0.9.8.6/kde/window-decorator-kde4/decorator.cpp:41:
/usr/include/kdecorationbridge.h:68:18: note: virtual void KDecorationBridge::showApplicationMenu(const QPoint&)
/usr/include/kdecorationbridge.h:69:18: note: virtual bool KDecorationBridge::menuAvailable() const
/home/iurt/rpmbuild/BUILD/compiz-0.9.8.6/kde/window-decorator-kde4/decorator.cpp:223:33: error: cannot allocate an object of abstract type 'KWD::Window'
In file included from /home/iurt/rpmbuild/BUILD/compiz-0.9.8.6/kde/window-decorator-kde4/decorator.h:41:0,
                 from /home/iurt/rpmbuild/BUILD/compiz-0.9.8.6/kde/window-decorator-kde4/decorator.cpp:41:
/home/iurt/rpmbuild/BUILD/compiz-0.9.8.6/kde/window-decorator-kde4/window.h:54:7: note: since type 'KWD::Window' has pure virtual functions
/home/iurt/rpmbuild/BUILD/compiz-0.9.8.6/kde/window-decorator-kde4/decorator.cpp: In member function 'void KWD::Decorator::handleWindowAdded(WId)':
/home/iurt/rpmbuild/BUILD/compiz-0.9.8.6/kde/window-decorator-kde4/decorator.cpp:780:19: error: cannot allocate an object of abstract type 'KWD::Window'
In file included from /home/iurt/rpmbuild/BUILD/compiz-0.9.8.6/kde/window-decorator-kde4/decorator.h:41:0,
                 from /home/iurt/rpmbuild/BUILD/compiz-0.9.8.6/kde/window-decorator-kde4/decorator.cpp:41:
/home/iurt/rpmbuild/BUILD/compiz-0.9.8.6/kde/window-decorator-kde4/window.h:54:7: note: since type 'KWD::Window' has pure virtual functions
[ 37%] Building C object gtk/window-decorator/CMakeFiles/gtk-window-decorator.dir/gwd-settings-notified.c.o
make[2]: *** [kde/window-decorator-kde4/CMakeFiles/kde4-window-decorator.dir/decorator.o] Error 1

here is the complete log :
http://pkgsubmit.mageia.org/uploads/failure/cauldron/core/release/20121122192628.julien.valstar.3083/log/compiz-0.9.8.6-1.mga3/build.0.20121122192705.log

Mageia cauldron
gcc 4.7.2
kde 4.10 beta (4.9.80)

regards
Julien

Related branches

Changed in compiz:
importance: Undecided → Medium
milestone: none → 0.9.9.0
Iven Hsu (ivenvd) on 2012-11-23
Changed in compiz:
assignee: nobody → Iven Hsu (ivenvd)
status: New → In Progress
Changed in compiz (Ubuntu):
assignee: nobody → Iven Hsu (ivenvd)
importance: Undecided → Medium
status: New → In Progress
Changed in compiz:
status: In Progress → Fix Committed
Changed in compiz (Ubuntu):
status: In Progress → Fix Committed
Daniel van Vugt (vanvugt) wrote :

Fix committed into lp:compiz at revision 3483, scheduled for release in Compiz 0.9.9.0
Fix committed into lp:compiz/0.9.8 at revision 3419, scheduled for release in Compiz 0.9.8.8

Launchpad Janitor (janitor) wrote :
Download full text (5.6 KiB)

This bug was fixed in the package compiz - 1:0.9.9~daily12.12.05-0ubuntu1

---------------
compiz (1:0.9.9~daily12.12.05-0ubuntu1) raring; urgency=low

  [ Michael Terry ]
  * debian/control:
    - Update Vcs-Bzr
  * debian/patches/100_expo_layout.patch:
    - Fix to apply
  * Automatic snapshot from revision 3451 (bootstrap)
    - Fix crash from writing to static memory (LP: #1065814)
    - Fix maximized windows changing workspaces (LP: #1071791)
    - Respect Zoom Factor setting (LP: #1066187)
    - Respect Show Window Title setting (LP: #1009999)
    - Restore text background transparency (LP: #1042132)
    - Restore screenshot selection rectangle transparency (LP: #1047788)
    - Restore top and bottom cube transparency (LP: #1048272)
    - Fix scaleaddon window highlighting being solid (LP #1068503)
    - Make resize hint overlay disappear when changing edges (LP: #839602)
    - Preserve grid IDs during drag (LP: #1067812, LP: #1048855)
    - Save current display before doing snap preview (LP: #1068173)
    - Ignore inactive keybindings (LP: #1053280)
    - Handle <primary> in keyboard shortcuts (LP: #936840)
    - Make sure showdesktop plugin is loaded after unityshell (LP: #1067534)
    - Fix grid build failure (LP: #1067577)
    - Fix Jenkins test failures (LP: #1058577)
    - Don't allow duplicate static symbols when linking (LP: #1067964)
    - Make external templates C++0x compatible (LP: #1067598)
    - Make sure to initialize class members (LP: #1033877)
    - Don't duplicate templates in plugins (LP: #1066793, LP: #1066803,
      LP: #1066804, LP: #1066805, LP: #1066799, LP: #1066796,
      LP: #1066795, LP: #1066798, LP: #1067218, LP: #1067219)
    - Don't needlessly set gsettings keys (LP: #1064791)
    - Remove unused code (LP: #1037142, LP: #1067234)
    - Fix syntax highlighting for trunk xml files (LP: #1066823)
    - Fix documentation for building with python2 (LP: #1070211)

  [ Stephen M. Webb ]
  * Windows open below panel and launcher, grid does not work at all,
    window animations missing, and general plugin chaos if built on
    raring (cmake >= 2.8.10) (LP: #1085581)

  [ Iven Hsu ]
  * KDE Appmenu doesn't work with compiz decorators (LP: #1082265)
  * compiz 0.9.8.6 fails to build from source in KDE4-window-decorator
    with latest KDE 4.10 beta (LP: #1082152)
  * kde4-window-decorator crashes when starting up with oxygen theme
    (LP: #1050776)

  [ sampo555 ]
  * Grid: Window management - resize preview does not show when moving a
    window from the semi-maximised state to the maximised state in a
    single action (LP: #1071689)

  [ Timo Jyrinki ]
  * HTML5 video in Firefox continues to tear (LP: #1086337)

  [ MC Return ]
  * Workspacenames Plug-in: Wishlist: Default Appearance values not
    ideal (LP: #1075600)
  * Resizeinfo Plug-in: No possibility to change the color and
    transparency of the rounded background outline (LP: #1070297)
  * Resizeinfo Plug-in: Gradient color 2 and 3 settings are ignored and
    no background gradient is rendered (LP: #1070233)
  * Expo animations "Fade + Zoom" & "Vortex" result in a black screen
    (LP: #875311)
  * Workspacenames Plug-in: Wishlist: No default values...

Read more...

Changed in compiz (Ubuntu):
status: Fix Committed → Fix Released
Changed in compiz:
status: Fix Committed → Fix Released
description: updated

Hello Mjules, or anyone else affected,

Accepted compiz into quantal-proposed. The package will build now and be available at http://launchpad.net/ubuntu/+source/compiz/1:0.9.8.6+bzr3433-0ubuntu1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in compiz (Ubuntu Quantal):
status: New → Fix Committed
tags: added: verification-needed

Hi,

I'm sorry I can't test as I'm not using ubuntu. I stumbled upon this bug in
mageia during the development of mageia 3.
It's fixed since November 2012.

Thanks
Julien

Le Tue, 21 May 2013 21:52:10 -0000,
Brian Murray <email address hidden> a écrit :

> Hello Mjules, or anyone else affected,
>
> Accepted compiz into quantal-proposed. The package will build now and be
> available at
> http://launchpad.net/ubuntu/+source/compiz/1:0.9.8.6+bzr3433-0ubuntu1 in
> a few hours, and then in the -proposed repository.
>
> Please help us by testing this new package. See
> https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to
> enable and use -proposed. Your feedback will aid us getting this update
> out to other Ubuntu users.
>
> If this package fixes the bug for you, please add a comment to this bug,
> mentioning the version of the package you tested, and change the tag
> from verification-needed to verification-done. If it does not fix the
> bug for you, please add a comment stating that, and change the tag to
> verification-failed. In either case, details of your testing will help
> us make a better decision.
>
> Further information regarding the verification process can be found at
> https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in
> advance!
>
> ** Changed in: compiz (Ubuntu Quantal)
> Status: New => Fix Committed
>
> ** Tags added: verification-needed
>

Rolf Leggewie (r0lf) wrote :

quantal has seen the end of its life and is no longer receiving any updates. Marking the quantal task for this ticket as "Won't Fix".

Changed in compiz (Ubuntu Quantal):
status: Fix Committed → Won't Fix
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers